﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PacTransaction;

namespace PacTran_MyExample
{
    public partial class Form1 : Form
    {
        PAC MyPac = new PAC();

        public Form1()
        {
            InitializeComponent();
        }

        private void btnSerialRead_Click(object sender, EventArgs e)
        {
            byte[] MyReceiveFrame = MyPac.SerialRead("com8", 38400, 13, 453, 15);
        }

        private void btnSerialWrite_Click(object sender, EventArgs e)
        {
            byte[] MyData = { 12, 34, 56 };
            byte[] MyAcknowledge = MyPac.SerialWrite("com8", 38400, 13, 124, MyData);

        }

        private void btnTcpRead_Click(object sender, EventArgs e)
        {
            byte[] MyReceiveFrameTcp = MyPac.TcpRead("192.168.1.13", 100, 23);
        }

        private void btnTcpWrite_Click(object sender, EventArgs e)
        {
            byte[] MyData = { 2, 24, 1, 4, 45, 56, 234 };
            byte[] MyAcknowledgeTcp = MyPac.TcpWrite("192.168.1.13", 2453, MyData);
        }

        private void btnCRC_Click(object sender, EventArgs e)
        {
            byte[] MyFrame = { 13, 1, 1, 0, 100, 0, 3, 12, 34, 56 };
            UInt16 MyCrc = MyPac.CRC16_Ram(MyFrame.Length, MyFrame);
        }


    }
}